update formatted documentation; fix typo in bashline.c; update system-dependent tests

This commit is contained in:
Chet Ramey
2025-07-08 09:59:39 -04:00
parent b35866a289
commit 12ea4bfec3
17 changed files with 37 additions and 28 deletions
+7
View File
@@ -11288,3 +11288,10 @@ general.c
parse.y parse.y
- read_token_word: set dollar_present if we see <( or >), backing - read_token_word: set dollar_present if we see <( or >), backing
out change from 2/4/2023 out change from 2/4/2023
[bash-5.3 frozen]
7/2
---
tests/printf7.sub,tests/exec3.sub
- changes to compensate for some system differences (macos/Linux/BSD)
+1 -1
View File
@@ -4142,7 +4142,7 @@ vi_advance_point (void)
} }
} }
#else #else
rl_point++: rl_point++;
#endif #endif
return point; return point;
} }
+4
View File
@@ -914,7 +914,11 @@ printstr (char *fmt, char *string, size_t len, int fieldwidth, int precision)
pr = decodeint (&fmt, 1, -1); pr = decodeint (&fmt, 1, -1);
/* pr < precision means we adjusted precision in printf_builtin /* pr < precision means we adjusted precision in printf_builtin
for the quoted string length (%Q), so we use the adjusted value */ for the quoted string length (%Q), so we use the adjusted value */
#if 0 /*TAG:bash-5.4 20250702 */
if (pr >= 0 && pr < precision)
#else
if (pr < precision) if (pr < precision)
#endif
pr = precision; pr = precision;
} }
else else
+1 -1
View File
@@ -5400,7 +5400,7 @@ when it is referenced, or when a variable which has been given the
\fIinteger\fP attribute using \fBdeclare \-i\fP is assigned a value. \fIinteger\fP attribute using \fBdeclare \-i\fP is assigned a value.
A null value evaluates to 0. A null value evaluates to 0.
A shell variable need not have its \fIinteger\fP attribute A shell variable need not have its \fIinteger\fP attribute
turned on to be used in an expression. enabled to be used in an expression.
.PP .PP
Integer constants follow the C language definition, without suffixes or Integer constants follow the C language definition, without suffixes or
character constants. character constants.
+3 -7
View File
@@ -1,6 +1,4 @@
BASHBUG(1) General Commands Manual BASHBUG(1) _B_A_S_H_B_U_G(1) General Commands Manual _B_A_S_H_B_U_G(1)
NNAAMMEE NNAAMMEE
bashbug - report a bug in bash bashbug - report a bug in bash
@@ -32,7 +30,7 @@ EENNVVIIRROONNMMEENNTT
eemmaaccss. If bbaasshhbbuugg cannot locate any of the alternative editors, eemmaaccss. If bbaasshhbbuugg cannot locate any of the alternative editors,
it attempts to execute vvii. it attempts to execute vvii.
HHOOMMEE Directory in which the failed bug report is saved if the mail HHOOMMEE Directory in which the failed bug report is saved if the mail
fails. fails.
TTMMPPDDIIRR Directory in which to create temporary files and directories. TTMMPPDDIIRR Directory in which to create temporary files and directories.
@@ -47,6 +45,4 @@ AAUUTTHHOORRSS
Chet Ramey, Case Western Reserve University Chet Ramey, Case Western Reserve University
chet@po.cwru.edu chet@po.cwru.edu
GNU Bash 5.3 2020 August 1 _B_A_S_H_B_U_G(1)
GNU Bash 5.2 2020 August 1 BASHBUG(1)
+1 -1
View File
@@ -7,7 +7,7 @@
.\" .\"
.\" Last Change: Sun Aug 2 15:39:07 EDT 2020 .\" Last Change: Sun Aug 2 15:39:07 EDT 2020
.\" .\"
.TH BASHBUG 1 "2020 August 1" "GNU Bash 5.1" .TH BASHBUG 1 "2020 August 1" "GNU Bash 5.3"
.SH NAME .SH NAME
bashbug \- report a bug in bash bashbug \- report a bug in bash
.SH SYNOPSIS .SH SYNOPSIS
+1 -1
View File
@@ -8505,7 +8505,7 @@ The value of a variable is evaluated as an arithmetic expression
when it is referenced, or when a variable which has been given the when it is referenced, or when a variable which has been given the
@code{integer} attribute using @samp{declare -i} is assigned a value. @code{integer} attribute using @samp{declare -i} is assigned a value.
A null value evaluates to 0. A null value evaluates to 0.
A shell variable need not have its @code{integer} attribute turned on A shell variable need not have its @code{integer} attribute enabled
to be used in an expression. to be used in an expression.
Integer constants follow the C language definition, without suffixes or Integer constants follow the C language definition, without suffixes or
+1 -1
View File
@@ -2325,4 +2325,4 @@ SSHHEELLLL CCOOMMPPAATTIIBBIILLIITTYY MMOODDEE
SSEEEE AALLSSOO SSEEEE AALLSSOO
bash(1), sh(1) bash(1), sh(1)
GNU Bash 5.2 2023 January 27 _B_A_S_H___B_U_I_L_T_I_N_S(1) GNU Bash 5.3 2023 January 27 _B_A_S_H___B_U_I_L_T_I_N_S(1)
+1 -1
View File
@@ -7,7 +7,7 @@
.de FN .de FN
\fI\|\\$1\|\fP \fI\|\\$1\|\fP
.. ..
.TH BASH_BUILTINS 1 "2023 January 27" "GNU Bash 5.2" .TH BASH_BUILTINS 1 "2023 January 27" "GNU Bash 5.3"
.SH NAME .SH NAME
:, ., [, alias, bg, bind, break, builtin, caller, :, ., [, alias, bg, bind, break, builtin, caller,
cd, command, compgen, complete, compopt, cd, command, compgen, complete, compopt,
BIN
View File
Binary file not shown.
+1 -1
View File
@@ -60,4 +60,4 @@ RREESSTTRRIICCTTEEDD SSHHEELLLL
SSEEEE AALLSSOO SSEEEE AALLSSOO
bash(1) bash(1)
Bash-5.2 2021 November 22 _R_B_A_S_H(1) Bash-5.3 2021 November 22 _R_B_A_S_H(1)
+1 -1
View File
@@ -1,4 +1,4 @@
.TH RBASH 1 "2021 November 22" "Bash-5.2" .TH RBASH 1 "2021 November 22" "Bash-5.3"
.SH NAME .SH NAME
rbash \- restricted bash, see \fBbash\fR(1) rbash \- restricted bash, see \fBbash\fR(1)
.SH RESTRICTED SHELL .SH RESTRICTED SHELL
BIN
View File
Binary file not shown.
+4 -4
View File
@@ -25,16 +25,16 @@ posix-bash: line 1: exec: .: cannot execute: Is a directory
126 126
0 0
this is bashenv this is bashenv
trap -- 'echo EXIT' EXIT
trap -- '' SIGTERM trap -- '' SIGTERM
trap -- 'echo USR1' SIGUSR1 trap -- 'echo USR1' SIGUSR1
trap -- 'rm -f x.sh x.output ; echo EXIT' EXIT
USR1 USR1
./exec3.sub: line 38: /tmp/bash-notthere: No such file or directory ./exec3.sub: line 45: /tmp/bash-notthere: No such file or directory
./exec3.sub: ENOENT: after failed exec: 127 ./exec3.sub: ENOENT: after failed exec: 127
./exec3.sub: line 43: exec: bash-notthere: not found ./exec3.sub: line 50: exec: bash-notthere: not found
trap -- 'echo EXIT' EXIT
trap -- '' SIGTERM trap -- '' SIGTERM
trap -- 'echo USR1' SIGUSR1 trap -- 'echo USR1' SIGUSR1
trap -- 'rm -f x.sh x.output ; echo EXIT' EXIT
USR1 USR1
EXIT EXIT
./execscript: line 103: notthere: command not found ./execscript: line 103: notthere: command not found
+10 -3
View File
@@ -25,10 +25,17 @@ cd $TDIR || exit 1
shopt -s execfail shopt -s execfail
trap 'echo EXIT' EXIT trapsort()
{
trap > x.output
sort x.output && rm -f x.output
}
trap 'rm -f x.sh x.output ; echo EXIT' EXIT
trap 'echo USR1' USR1 trap 'echo USR1' USR1
trap '' TERM trap '' TERM
trap
trapsort
kill -s USR1 $$ # should run the trap kill -s USR1 $$ # should run the trap
@@ -94,7 +101,7 @@ case $string in
esac esac
rm -f x.sh x.output rm -f x.sh x.output
trap trapsort
kill -s USR1 $$ # should run the trap kill -s USR1 $$ # should run the trap
kill -s TERM $$ # should still be ignored kill -s TERM $$ # should still be ignored
+1 -3
View File
@@ -85,7 +85,5 @@ unset -v VAR
# can't test %s, too many varying implementations # can't test %s, too many varying implementations
#printf "%.${TOOBIG}s\n" XY #printf "%.${TOOBIG}s\n" XY
printf -v VAR "%.${TOOBIG}s\n" XY printf_overflow $LINENO "%.${TOOBIG}b\n" XY
echo $VAR
unset -v VAR
printf_overflow $LINENO "%.${TOOBIG}Q\n" XY printf_overflow $LINENO "%.${TOOBIG}Q\n" XY
-3
View File
@@ -14,9 +14,6 @@
echo "warning: the text of a system error message may vary between systems and" >&2 echo "warning: the text of a system error message may vary between systems and" >&2
echo "warning: produce diff output." >&2 echo "warning: produce diff output." >&2
echo "warning: UNIX versions number signals differently." >&2
echo "warning: If output differing only in line numbers is produced, please" >&2
echo "warning: do not consider this a test failure." >&2
echo "warning: if the text of the error messages concerning \`notthere' or" >&2 echo "warning: if the text of the error messages concerning \`notthere' or" >&2
echo "warning: \`/tmp/bash-notthere' not being found or \`/' being a directory" >&2 echo "warning: \`/tmp/bash-notthere' not being found or \`/' being a directory" >&2
echo "warning: produce diff output, please do not consider this a test failure" >&2 echo "warning: produce diff output, please do not consider this a test failure" >&2